Slince\Shopify\Model\Orders\Common\DiscountApplication:
    properties:
        type:
            type: string
        value:
            type: string
        valueType:
            type: string
        allocationMethod:
            type: string
        targetSelection:
            type: string
        targetType:
            type: string
        code:
            type: string